#!/usr/bin/env python3

#/**
#@fn      ogr what-module script
#@brief   Muestra el módulo donde se encuentra el script.
#@param   script: El script que queremos saber el módulo.
#@return  El módulo donde se encuentra el script.
#@exception ARG_REQUIRED: Argumento requerido.
#@exception SCRIPT_NOTFOUND: Script no encontrado.
#@version 0.1 - Primera versión para OpenGnSys.
#@author  Alejandro Castaño, Wadobo Software S.L.
#@date    27/02/2011
#*/ ##

import libogr
import sys

if len(sys.argv) < 2:
    exit(1)

script = sys.argv[1]

try:
    module = libogr.what_module(script)
except libogr.ScriptNotFound:
    exit(2)

print(module)

exit(0)

